// Author: Valeriy Onuchin   24/08/2007
//
// This macro gives an example of how to make screenshot
// and save result to image file.
//
// To run it do either:
// .x screenshot.C
// .x screenshot.C++

#include "TSystem.h"
#include "TVirtualX.h"
#include "TBrowser.h"
#include "TImage.h"

//______________________________________________________________________________
void screenshot()
{
   // initialize GUI mode
   gSystem->Load("libGui");

   // create an image
   TImage *image = TImage::Create();

   // take screenshot form the screen, where gVirtualX->GetDefaultRootWindow()
   // is window ID of screen root window.
   image->FromWindow(gVirtualX->GetDefaultRootWindow());

   // write image to file
   image->WriteImage("screenshot.png");
   //image->WriteImage("screenshot.gif");
   printf("*************** File screenshot.png created ***************\n");

   new TBrowser;
   printf("*** Browse screenshot.png to display result in canvas *****\n");
}
